create table CurrentAuction(
		  auctionId integer, 
		  productId integer, 
		  sellerLogin varchar(20),
		  thresholdPrice integer,
		  reservePrice integer,
		  startDate date,
		  closingDate date,
		  minIncrement integer,
		  location varchar(20)
						   );

create table Product(
          productName varchar(40),
		  productId integer,
		  imageURL varchar(50),
		  categoryName varchar(20)
					);


create table ProductStringAttributes(
		  productId integer,
		  attributeName varchar(20),
		  attributeValue varchar(20)
					);


create table ProductIntegerAttributes(
		  productId integer,
		  attributeName varchar(20),
		  attributeValue integer
									 );

create table Users(
		  userLogin varchar(20),
		  passwd varchar(20),
		  email varchar(40),
		  sex varchar(10),
		  dob date,
		  firstName varchar(20),
		  lastname varchar(20),
		  address varchar(200),
		  isSuspended varchar(3)
				  );



create table CategoryFeature(
		  categoryName varchar(30),
		  featureName varchar(30),
		  featureType varchar(30)
							);

create table UnsuccessfulAuction(
		  auctionId integer, 
		  productId integer, 
		  sellerLogin varchar(20),
		  thresholdPrice integer,
		  reservePrice integer,
		  startDate date,
		  closingDate date,
		  minIncrement integer,
		  location varchar(20)
						   );
	 
